<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>parent</title>
</head>
<body>
    hii parent
    <script>
        // let win = open("./child.html",'start_page');
        // window.addEventListener("message",(e)=>{
        //     console.log(e.data);
        //     win.postMessage("2nd message",'*');
        // })
        let win = open('./child.html','parent');
        window.addEventListener("message",(msg)=>{
            console.log(msg.returnValue);
            console.log(msg);
            win.postMessage("P2C",'*')
        });
        
    </script>
</body>
</html>